Deskhero Developer Hub
Back to deskhero.com
Account

Cognito sign up finalize

Completes sign up by storing the first name, last name and preferred language on the account, and returns the resulting login state.

POST /api/sys/v{version:apiVersion}/account/cognito_sign_up_finalize
Authorisation
Minimum role: USER

Request arguments

Name Type Source
inputDTO_cognito_sign_up_finalizeBody
Request body example

Response

Status
200 (OK)
Type
DTO_logged_in_response
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_cognito_sign_up_finalize
NameTypeReadOnlyDescription
languageDTO_referenceLanguage
given_nameStringGiven name
family_nameStringFamily name
DTO_logged_in_response
NameTypeReadOnlyDescription
challenge_mfaBooleanChallenge mfa
actionENUM logged_in_response_actionAction
info_messagesString[]Can contain for example "Joined tenant". "Auth method Google added"
warning_messagesString[]Warning messages
redirect_urlStringRedirect url
verification_hashStringVerification hash
emailStringEmail
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
ENUM logged_in_response_action
ValueNameDescription
0UNKNOWNUNKNOWN
1REDIRECTREDIRECT
2SELECT_TENANTSELECT_TENANT
3CREATE_TENANTCREATE_TENANT
4CONTINUE_TO_APPCONTINUE_TO_APP
5LOGINLOGIN
6VERIFY_EMAILVERIFY_EMAIL

Generated Aug 4, 2026 18:37